Bug 168824 - [PATCH] astro/gpstk: fix conflict & lib links
Summary: [PATCH] astro/gpstk: fix conflict & lib links
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Michael Scheidell
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-07 21:30 UTC by John Hein
Modified: 2012-06-29 20:20 UTC (History)
1 user (show)

See Also:


Attachments
gpstk-1.7_1.patch (2.36 KB, patch)
2012-06-07 21:30 UTC, John Hein
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John Hein 2012-06-07 21:30:18 UTC
Fix lib link targets.

'scale' is a pretty generic name to put into bin/, especially
considering how non-generic this implementation is.
To avoid naming collisions, rename scale to scale-gpstk.
It conflicts with bin/scale in audio/csound.  Noticed by
a recent run by Sulev-Madis Silber's automated conflicts checker.

scale is an end user tool.  Nothing in the port itself uses it.
But for end users who may have used scale in their scripts
or something, they'll need to adjust.

Added file(s):
- files/patch-scale

Generated with FreeBSD Port Tools 0.99_6 (mode: change, diff: CVS)
Comment 1 Tilman Keskinoz freebsd_committer 2012-06-08 13:51:03 UTC
Have you tested this?

This does not work:

C++ apps/visibility/CalcDOPs.o
Link apps/visibility/CalcDOPs
Chmod1 apps/visibility/CalcDOPs
Install /usr/local/bin/CalcDOPs
Chmod1 /usr/local/bin/CalcDOPs
...updated 1214 target(s)...
/usr/bin/strip: '/usr/local/bin/scale-gpstk': No such file
*** Error code 1

Stop in /usr/home/arved/ports/gpstk.


Also there is no change to the pkg-plist in your patch.
Comment 2 Tilman Keskinoz freebsd_committer 2012-06-08 13:51:14 UTC
State Changed
From-To: open->feedback

Asked for feedback
Comment 3 John Hein 2012-06-08 15:43:09 UTC
Tilman Keskin=F6z wrote at 14:51 +0200 on Jun  8, 2012:
 > Have you tested this=3F
   .
   .
 > /usr/bin/strip: '/usr/local/bin/scale-gpstk': No such file

Yes.  On redports [1], I also have this:

Index: pkg-plist
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
RCS file: /base/FreeBSD-CVS/ports/astro/gpstk/pkg-plist,v
retrieving revision 1.5
diff -u -p -r1.5 pkg-plist
--- pkg-plist=0927 Feb 2012 17:39:39 -0000=091.5
+++ pkg-plist=098 Jun 2012 14:40:24 -0000
@@ -74,7 +74,7 @@ bin/rnwdiff
 bin/rowcheck
 bin/rowdiff
 bin/rstats
-bin/scale
+bin/scale-gpstk
 bin/sp3version
 bin/svvis
 bin/tallandev


Forgot to include that in the pr.  Sorry.

[1] http://redports.org/~jhein/20120606052541-42217-28005/gpstk-1.7=5F1=
.log
Comment 4 Michael Scheidell freebsd_committer 2012-06-29 18:33:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scheidell

I'll take it.
Comment 5 Michael Scheidell freebsd_committer 2012-06-29 20:14:21 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 6 dfilter service freebsd_committer 2012-06-29 20:14:23 UTC
scheidell    2012-06-29 19:14:09 UTC

  FreeBSD ports repository

  Modified files:
    astro/gpstk          Makefile pkg-plist 
  Added files:
    astro/gpstk/files    patch-scale 
  Log:
  - Fix conflict & lib links
  - Bump PORTREVISION
  
  PR:             ports/168824
  Submitted by:   John Hein <jhein@symmetricom.com> (maintainer)
  
  Revision  Changes    Path
  1.16      +2 -1      ports/astro/gpstk/Makefile
  1.1       +40 -0     ports/astro/gpstk/files/patch-scale (new)
  1.6       +2 -2      ports/astro/gpstk/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"